This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 972441 - [abrt] java-1.7.0-openjdk-1.7.0.19-2.3.9.5.fc18: pthread_cond_wait@@GLIBC_2.3.2: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.19-2.3.9.5.fc18: pthread_cond_wait@@GLIBC_2.3...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
abrt_hash:1c4de2b9b9368d5d1da301b81a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 08:27 EDT by Frank Murphy
Modified: 2014-02-05 16:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (155.01 KB, text/plain)
2013-06-09 08:27 EDT, Frank Murphy
no flags Details
File: cgroup (154 bytes, text/plain)
2013-06-09 08:27 EDT, Frank Murphy
no flags Details
File: core_backtrace (343 bytes, text/plain)
2013-06-09 08:27 EDT, Frank Murphy
no flags Details
File: dso_list (9.94 KB, text/plain)
2013-06-09 08:27 EDT, Frank Murphy
no flags Details
File: environ (527 bytes, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
File: hs_err.log (98.76 KB, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
File: maps (63.15 KB, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
File: open_fds (8.81 KB, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
File: smolt_data (3.31 KB, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
File: var_log_messages (14.96 KB, text/plain)
2013-06-09 08:28 EDT, Frank Murphy
no flags Details
custom made vuze.service (428 bytes, text/plain)
2013-06-10 14:51 EDT, Frank Murphy
no flags Details
cat /var/log/messages | grep azureus (610.20 KB, text/plain)
2013-06-11 07:57 EDT, Frank Murphy
no flags Details
hs_error.log (114.54 KB, text/plain)
2013-06-26 03:49 EDT, Frank Murphy
no flags Details

  None (edit)
Description Frank Murphy 2013-06-09 08:27:43 EDT
Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.19-2.3.9.5.fc18

Additional info:
reporter:       libreport-2.1.4.26.gb03d
backtrace_rating: 4
cmdline:        java -Dazureus.install.path=/home/frank/.azureus/app -Dazureus.script.version=2 -Dazureus.script=/usr/bin/azureus -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java
kernel:         3.9.4-200.fc18.x86_64
uid:            1005
xsession_errors: 

Truncated backtrace:
Thread no. 82 (2 frames)
 #0 pthread_cond_wait@@GLIBC_2.3.2 at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
 #1 os::PlatformEvent::park() at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/lib/amd64/server/libjvm.so

Potential duplicate: bug 829801
Comment 1 Frank Murphy 2013-06-09 08:27:47 EDT
Created attachment 758765 [details]
File: backtrace
Comment 2 Frank Murphy 2013-06-09 08:27:50 EDT
Created attachment 758766 [details]
File: cgroup
Comment 3 Frank Murphy 2013-06-09 08:27:54 EDT
Created attachment 758767 [details]
File: core_backtrace
Comment 4 Frank Murphy 2013-06-09 08:27:57 EDT
Created attachment 758768 [details]
File: dso_list
Comment 5 Frank Murphy 2013-06-09 08:28:01 EDT
Created attachment 758769 [details]
File: environ
Comment 6 Frank Murphy 2013-06-09 08:28:05 EDT
Created attachment 758770 [details]
File: hs_err.log
Comment 7 Frank Murphy 2013-06-09 08:28:08 EDT
Created attachment 758771 [details]
File: limits
Comment 8 Frank Murphy 2013-06-09 08:28:12 EDT
Created attachment 758772 [details]
File: maps
Comment 9 Frank Murphy 2013-06-09 08:28:15 EDT
Created attachment 758773 [details]
File: open_fds
Comment 10 Frank Murphy 2013-06-09 08:28:18 EDT
Created attachment 758774 [details]
File: proc_pid_status
Comment 11 Frank Murphy 2013-06-09 08:28:22 EDT
Created attachment 758775 [details]
File: smolt_data
Comment 12 Frank Murphy 2013-06-09 08:28:25 EDT
Created attachment 758776 [details]
File: var_log_messages
Comment 13 Deepak Bhole 2013-06-10 14:42:01 EDT
Is this reproducible?
Comment 14 Frank Murphy 2013-06-10 14:50:44 EDT
(In reply to Deepak Bhole from comment #13)
> Is this reproducible?

yes, the only way I can keep azureus on is with the following attached servcei.
Comment 15 Frank Murphy 2013-06-10 14:51:26 EDT
Created attachment 759325 [details]
custom made vuze.service
Comment 16 Deepak Bhole 2013-06-10 14:57:41 EDT
What is the best to reproduce it consistently?
Comment 17 Frank Murphy 2013-06-10 17:19:30 EDT
Run azureus , the Java crashes out every day.
That's what happens me.
Comment 18 Frank Murphy 2013-06-10 17:21:37 EDT
I think it's the only Java app, I use.
Comment 19 Frank Murphy 2013-06-11 07:57:24 EDT
Created attachment 759584 [details]
cat /var/log/messages | grep azureus

A bit more digging, azureus is crashing out probably causing Java to crash out?
Some path seems to not exist. Am attaching :
cat /var/log/messages | grep azureus

search for jvm-exports within attached file.
Comment 20 Frank Murphy 2013-06-13 05:08:01 EDT
May have gone now.
Two things, made symlink:


/usr/lib/jvm-exports/java-openjdk -> /etc/alternatives/jre_openjdk_exports

and an update to openjdk this morning.

java-1.7.0-openjdk-1.7.0.19-2.3.9.8.fc18.x86_64

I would like to leave bz open for a week to monitor?
Comment 21 Deepak Bhole 2013-06-17 11:41:10 EDT
Sure, that sounds good. Thank you for reporting back! (and sorry for the delay in response, I was away at the Red Hat Summit last week).
Comment 22 Frank Murphy 2013-06-25 07:46:23 EDT
Yes, I think this can be closed. Only 2 crashes since.
Comment 23 Deepak Bhole 2013-06-25 17:31:28 EDT
It is still crashing? Do you have a trace for the crash?
Comment 24 Frank Murphy 2013-06-26 03:49:51 EDT
Created attachment 765440 [details]
hs_error.log

abrt freezing on  me, but found this in /tmp/jvm-22728 from yesterday
Comment 25 Fedora End Of Life 2013-12-21 08:55:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Fedora End Of Life 2014-02-05 16:44:27 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.